Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## jchrest.lib
Enum FixationType

    java.lang.Object
      java.lang.Enum<FixationType>
          jchrest.lib.FixationType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FixationType>

    public enum FixationType

extends java.lang.Enum<FixationType>

Enumerated type to manage the fixation type.

Enum Constant Summary
`ltm`
`none`
`proposedMove`
`randomItem`
`randomPlace`

Method Summary
`java.lang.String` | `toString()`
`static FixationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FixationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### none

    public static final FixationType none

### ltm

    public static final FixationType ltm

### randomItem

    public static final FixationType randomItem

### randomPlace

    public static final FixationType randomPlace

### proposedMove

    public static final FixationType proposedMove

Method Detail

### values

    public static FixationType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FixationType c : FixationType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FixationType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<FixationType>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD